
TYPO3.Kickstart - Feature # 43143

Status: Closed Priority: Should have
Author: Bastian Waidelich Category:
Created: 2012-11-20 Assigned To: Bastian Waidelich
Updated: 2012-11-21 Due date:
Subject: Fix case of class names to generate
Description

When specifying a model name starting with a lower case character, the generated code throws an exception.
Example from the mailing list:

./flow3 kickstart:actioncontroller --generate-actions --generate-related Fritdrop.Webpage golfEquipment

leads to:

12-11-18 19:56:33 11136      DEBUG     FLOW3                Reflected class names did not match class names to reflect
12-11-18 19:56:33 11136      DEBUG     FLOW3                Reflecting class
Fritdrop\Webpage\Controller\GolfEquipmentController
12-11-18 19:56:33 11136      DEBUG     FLOW3                Reflecting class Fritdrop\Webpage\Domain\Model\GolfEquipment
12-11-18 19:56:33 11136      DEBUG     FLOW3                Reflecting class
Fritdrop\Webpage\Domain\Repository\GolfEquipmentRepository
12-11-18 19:56:33 11136      INFO      FLOW3                Reflected 3 emerged classes.
12-11-18 19:56:36 11136      DEBUG     FLOW3                Built AOP proxy for class
"Fritdrop\Webpage\Domain\Model\GolfEquipment".
12-11-18 19:56:36 11136      DEBUG     FLOW3                Building DI proxy for
"Fritdrop\Webpage\Controller\GolfEquipmentController".
12-11-18 19:56:36 11136      CRITICAL  FLOW3                Uncaught exception #1265213849 in line 142 of
Packages/Framework/TYPO3.FLOW3/Classes/Object/DependencyInjection/ProxyClassBuilder.php: The object
"Fritdrop\Webpage\Domain\Repository\golfEquipmentRepository" which was specified as a property in the object configuration
of object "Fritdrop\Webpage\Controller\GolfEquipmentController" (automatically registered class) does not exist. Check for
spelling mistakes and if that dependency is correctly configured. - See also: 20121118195633ff72d8.txt 

Instead the exception should be thrown while executing the command or the kickstarter should automatically convert class names to
UpperCamelCase

Related issues:
duplicates TYPO3.Kickstart - Feature # 43144: Fix case of class names to gene... Resolved 2012-11-20

History
#1 - 2012-11-21 12:16 - Bastian Waidelich
- Status changed from New to Closed
- Assigned To set to Bastian Waidelich

Oops, duplicate of #43144
